package com.logicbig.example.client;

import com.logicbig.example.app.ExcludeFromScan;
import com.logicbig.example.service.WholeSaleOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@ExcludeFromScan
public class Wholesaler {
    @Autowired
    private WholeSaleOrderService wholeSaleOrderService;

    public void buySomethingInBulk() {
        wholeSaleOrderService.placeOrder("Car", 100);
    }
}